const util = require('../utils/util.js');
// 登录状态
const rzStatus = () => {
  return new Promise((resolve, reject) => {
    wx.login({
      success: (res) => {
        if (res.code) {
          wx.request({
            url: util.globalData.publicUrl + '/wx/getAppletOpenId',
            method: "GET",
            data: {
              cid: 'applet',
              code: res.code
            },
            success: res => {
              if (res.data.status == 200) {
                wx.setStorageSync('openId', res.data.data.openid)
                wx.request({
                  url: util.globalData.publicUrl + '/applet/isExist',
                  method: "GET",
                  data: {
                    appletsId: wx.getStorageSync('openId')
                  },
                  success: (res) => {
                    console.log('是否绑定', res.data.code);
                    resolve(res);
                  },
                  fail: (res) => {
                    reject(res)
                  }
                })
              }
            }
          });
        } else {
          console.log('获取用户登录态失败！' + res.errMsg);
        }
      }
    })
  })
};
const finishInfo = () => {
  return new Promise((resolve, reject) => {
    wx.request({
      url: util.globalData.publicUrl + '/user/isPerfect',
      method: "GET",
      header: {
        appletsId: wx.getStorageSync('openId')
      },
      success: (res) => {
        console.log(res.data)
        resolve(res)
      },
      fail: (re) => {
        reject(re)
      }
    })
  })
};
//旧版代码、感觉没用到
// const request = (url, data = {}, type = 'GET') => {
//   return new Promise((resolve, reject) => {
//     wx.request({
//       url: `${util.globalData.publicUrl}${url}`,
//       method: type,
//       data,
//       success({
//         data
//       }) {
//         resolve({
//           status: 0,
//           data,
//           msg: 'request请求成功获取到数据'
//         });
//       },
//       fail(error) {
//         reject({
//           status: 1,
//           msg: 'request请求失败'
//         })
//       }
//     });
//   });
// };
module.exports = {
  rzStatus,
  finishInfo,
  // request
}